export interface MCPMessage {
    type: 'ListOfferings' | 'GenerateTest';
    timestamp: string;
    directory?: string;
    pagePath?: string;
}
export interface MCPResponse {
    type: string;
    timestamp: string;
    [key: string]: any;
}
export interface ErrorResponse extends MCPResponse {
    error: {
        message: string;
        code: string;
    };
}
export interface ListOfferingsResponse extends MCPResponse {
    offerings: Array<{
        id: string;
        name: string;
        description: string;
        capabilities: string[];
    }>;
}
export interface GenerateTestResponse extends MCPResponse {
    testCode: string;
    location: {
        directory: string;
        fileName: string;
    };
}
export interface AuthConfig {
    enabled: boolean;
    loginUrl: string;
    usernameSelector: string;
    passwordSelector: string;
    submitSelector: string;
    username: string;
    password: string;
    requiresLogin: string[];
}
export interface SiteContext {
    baseURL: string;
    pages: {
        [path: string]: {
            title: string;
            description: string;
            elements: {
                [key: string]: string;
            };
        };
    };
}
